Package org.silverpeas.components.kmelia.notification

## Class KmeliaInstanceManualUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification
  - - org.silverpeas.components.kmelia.notification.KmeliaInstanceManualUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification`
  Direct Known Subclasses:
    `KmaxInstanceManualUserNotification`, `ToolboxInstanceManualUserNotification`

      @Named
      public class KmeliaInstanceManualUserNotification
      extends org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification

      `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaInstanceManualUserNotification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.notification.user.UserNotification` | `createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)` |
    `protected org.silverpeas.core.node.model.NodePK` | `getNodePK​(String cmpId, String nodeId)` |

    - ### Methods inherited from class org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

      `check, initializesWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaInstanceManualUserNotification

          public KmeliaInstanceManualUserNotification()

  - ### Method Detail

    - #### createUserNotification

          public org.silverpeas.core.notification.user.UserNotification createUserNotification​(org.silverpeas.core.notification.user.NotificationContext context)

      Specified by:
        `createUserNotification` in class `org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification`

    - #### getNodePK

          protected org.silverpeas.core.node.model.NodePK getNodePK​(String cmpId,
                                                                    String nodeId)